/* range.h -- Copyright 1993 Liam R. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* $Id: range.h,v 1.2 93/12/08 23:05:30 lee Exp $ */

typedef struct s_Range {
    unsigned long First;
    unsigned long Last;
    unsigned int AndAllBefore : 1; /* only on the first of the list */
    unsigned int AndAllAfter : 1; /* only if no Next field */
    struct s_Range *Next;
} t_Range;

#define DEFAULT_RANGE_END ((unsigned long) 65535L)

extern t_Range *StringToRange();
