/* downcase.c -- Copyright 1993 Liam R. E. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* $Id: downcase.c,v 1.1 93/12/08 23:07:47 lee Exp $
 */

#include "globals.h"
#include "emalloc.h"
extern unsigned strlen();

API char *
DownCase(String)
    char *String;
{
    static char *Buffer = 0;
    static unsigned int BufferLength = 0;
    register char *p, *q;

    if (!Buffer) {
	BufferLength = strlen(String) + 1;
	Buffer = emalloc("DownCase Buffer", BufferLength);
    }

    for (p = String, q = Buffer; *p; p++, q++) {
	if (q - Buffer >= BufferLength - 1) {
	    int pos = q - Buffer;

	    BufferLength += 5;
	    Buffer = erealloc(Buffer, BufferLength);
	    q = &Buffer[pos];
	}
	if (isupper(*p)) {
	    *q = tolower(*p);
	} else {
	    *q = (*p);
	}
    }

    *q = '\0';
    return Buffer;
}

