/* fileinfo.h -- Copyright 1989, 1993 Liam R. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* Internal structure used by lq-Text to represent a word */

/* Needs: sys/types.h */

/* $Id: fileinfo.h,v 1.4 93/11/24 19:39:03 lee Exp $
 */

typedef unsigned long t_FID;

typedef struct {
    char *Name;
    t_FID FID; /* File Identifier */
    int FilterType; /* command to ASCIIify, 0 unknown, 1 none */
    time_t Date; /* when the file was last indexed */
    unsigned long FileSize;
    FILE *Stream;
} t_FileInfo;

/* macros for speed: */
#define FindFile(name) ((*(name) == '/') ? (name) : _FindFile(name))
extern char *_FindFile();

#define GetNextFID SpoofGetNextFID
