/* getbyte.h -- Copyright 1989,1993 Liam R. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* $Id: gebyte.h,v 1.1 93/09/12 17:16:40 lee Exp $
 *
 */


#define GetByte(WID, sp, Blockp, BlockLength, NextBlock) \
    ( \
	(*(sp) - (unsigned char *) *(Blockp) >= *(BlockLength)) \
    ? \
       _GetByte(WID, sp, Blockp, BlockLength, NextBlock) \
    : \
	*((*(sp))++) \
    )

#define GetLong(WID, sp, Blockp, BlockLength, NextBlock) \
    ( \
	(*(sp) - (unsigned char *) *(Blockp) >= *(BlockLength) || \
	 ((**(sp)) & 0200) ) /* i.e. the long needs more than one byte */ \
    ? \
	_GetLong(WID, sp, Blockp, BlockLength, NextBlock) \
    : \
	*((*(sp))++) \
    )
